#include <algorithm>
#include <iostream>
#include <vector>
bool rozwiaz_przypadek() {
	int s, l;
	std::cin >> s >> l;
	std::vector<std::vector<int>> konstelacja(s);
	for (int i = 0; i < l; i++) {
		int a, b;
		std::cin >> a >> b;
		a--;
		b--;
		konstelacja[a].push_back(b);
		konstelacja[b].push_back(a);
	}
	int rozgalezienia = 0;
	for (const auto& gwiazda : konstelacja) {
		if (gwiazda.size() == 3)
			rozgalezienia++;
		else if (gwiazda.size() != 2)
			return false;
	}
	if (rozgalezienia != 4)
		return false;
	for (int i = 0; i < s; i++) {
		auto& gwiazda = konstelacja[i];
		if (gwiazda.size() == 2) {
			int sasiad_1 = gwiazda[0];
			int sasiad_2 = gwiazda[1];
			*std::find(konstelacja[sasiad_1].begin(), 
				konstelacja[sasiad_1].end(), i) = sasiad_2;
			*std::find(konstelacja[sasiad_2].begin(), 
				konstelacja[sasiad_2].end(), i) = sasiad_1;
			gwiazda.clear();
		}
	}
	for (int i = 0; i < s; i++) {
		const auto& gwiazda = konstelacja[i];
		if (!gwiazda.empty()) {
			if (std::find(gwiazda.begin(), gwiazda.end(), i) != gwiazda.end())
				return false;
			if (gwiazda[0] != gwiazda[1] 
				&& gwiazda[1] != gwiazda[2] && gwiazda[0] != gwiazda[2])
				return false;
		}
	}
	return true;
}

int main() {
	int c;
	std::cin >> c;
	for (int i = 0; i < c; i++) {
		if (rozwiaz_przypadek())
			std::cout << "SUSPICIOUS\n";
		else
			std::cout << "NOT SUSPICIOUS\n";
	}
	return 0;
}
